
Ruby - Bug #18347

Newly introduced assertion failure for cc->cme_ != NULL

11/18/2021 11:38 PM - jeremyevans0 (Jeremy Evans)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

ruby -v:  Backport: 2.6: DONTNEED, 2.7: DONTNEED, 3.0:

DONTNEED

Description

8d7116552dace6d0a9a8f0bbe2fe0f02fcff6532 added an assertion failure for !vm_cc_markable(cc) || cc->cme_ != NULL, but it turns

out that valid code can trigger this assertion, as found by CI: 

https://github.com/ruby/ruby/runs/4256783080?check_suite_focus=true#step:15:159

History

#1 - 11/26/2021 08:34 PM - alanwu (Alan Wu)

- Status changed from Open to Closed

This should be addressed by ca21eed6ebbceca68daa7b2a88e69a58b8d56806. Feel free to reopen if that's not the case.
